## Sample Grep Expressions

E-Mail Comments to: opencyc-doc@cyc.com
Copyright© 1997-2002 Cycorp. All rights reserved.

Here is a chart of sample regular expressions for use with the GREP search facility.

Examples
Expression | Result
--- | ---
`.*` | all constants
`en.*` | those beginning with "en"
`.*-TheWord` | those ending with "-TheWord"
`.*device.*` | those containing "device"
`.*[fd]og.*` | those containing "fog" or "dog"

Go to Top